****************************************************
*
; BouQLder QLash
; Play a sound from the loaded sounddata
; (C) W. Lenerz 2018
*
*****************************************************


	section sound

	include dev8_keys_sbasic
	include dev8_keys_qlv
	include dev1_basic_boulder_asm_snd_keys

	xdef	bd_sound

	xref	sound
	xref	bp_err

*****************************
*
* BD_SOUND address,sound_nbr
*
* play the sound
*
*****************************
bd_sound
	move.w	sb.gtlin,a2
	jsr	(a2)			; get 2 long int
	bne	bp_err
	subq.w	#2,d3			; exactly 2
	bne	bp_err
	addq.l	#8,sb_arthp(a6)
	movem.l (a6,a1.l),d1/a5
	exg	d1,a5
	mulu	#4,d1
	move.l	snd_tble(PC,d1.w),d1
	bra	sound

snd_tble
	dc.l snd_spce			; sound of digging through space
	dc.l snd_sand			; sound of digging through sand
	dc.l snd_bdim			; sound of boulder impact
	dc.l snd_bdpu			; sound of boulder being pushed
	dc.l snd_exit			; sound of exit and entry
	dc.l snd_mwla			; sound of magic wall activating
	dc.l snd_mwlc			; sound of magic wall changing
	dc.l snd_mwlr			; sound of magic wall running
	dc.l snd_amob			; sound of amoeba
	dc.l snd_am2d			; sound of amoeba turning into diamond
	dc.l snd_am2b			; sound of amoeba turning into boulder
	dc.l snd_bfly			; sound of butterfly
	dc.l snd_ffly			; sound of firefly
	dc.l snd_expl			; sound of explosion
	dc.l snd_diac			; sound of diamond obtained
	dc.l snd_diai			; sound of diamond impact
	dc.l snd_inc			; sound at points inc at end of cave

	end
